Debian Bug report logs - #569204
live-magic: unsatisfyable dependency

version graph

Package: live-magic; Maintainer for live-magic is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Philipp Kern <pkern@debian.org>

Date: Wed, 10 Feb 2010 19:00:01 UTC

Severity: serious

Found in version live-magic/1.8

Fixed in version live-magic/1.9

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#569204; Package live-magic. (Wed, 10 Feb 2010 19:00:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: submit@bugs.debian.org
Subject: live-magic: unsatisfyable dependency
Date: Wed, 10 Feb 2010 19:57:25 +0100
[Message part 1 (text/plain, inline)]
Package: live-magic
Version: 1.8
Severity: serious

live-magic/i386 unsatisfiable Depends: live-helper (>= 2.0)

Indeed live-helper has a version of 2.0~a6-1 which is less than 2.0.

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#569204; Package live-magic. (Wed, 10 Feb 2010 19:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 10 Feb 2010 19:36:08 GMT) Full text and rfc822 format available.

Message #8 received at 569204@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 569204@bugs.debian.org
Subject: Re: Bug#569204: dpkg --compare-versions is your friend
Date: Wed, 10 Feb 2010 20:31:02 +0100
Op 20100210 om 19:57 schreef Philipp Kern:
> 
> live-magic/i386 unsatisfiable Depends: live-helper (>= 2.0)
> 
> Indeed live-helper has a version of 2.0~a6-1 which is less than 2.0.


$ dpkg --compare-versions 1.0 lt 2.0 ; echo $?
0
$ dpkg --compare-versions 3.0 lt 2.0 ; echo $?
1
$ dpkg --compare-versions 2.0~a6-1 lt 2.0 ; echo $?
0
$ dpkg --compare-versions 2.0+a6-1 lt 2.0 ; echo $?
1
$ dpkg --compare-versions 1.9pre2.0~a6-1 lt 2.0 ; echo $?
0


HtH
Stappers





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 12 Feb 2010 10:21:07 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Fri, 12 Feb 2010 10:21:07 GMT) Full text and rfc822 format available.

Message #13 received at 569204-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 569204-close@bugs.debian.org
Subject: Bug#569204: fixed in live-magic 1.9
Date: Fri, 12 Feb 2010 10:17:17 +0000
Source: live-magic
Source-Version: 1.9

We believe that the bug you reported is fixed in the latest version of
live-magic, which is due to be installed in the Debian FTP archive:

live-magic_1.9.dsc
  to main/l/live-magic/live-magic_1.9.dsc
live-magic_1.9.tar.gz
  to main/l/live-magic/live-magic_1.9.tar.gz
live-magic_1.9_all.deb
  to main/l/live-magic/live-magic_1.9_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569204@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-magic package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Feb 2010 10:44:51 +0100
Source: live-magic
Binary: live-magic
Architecture: source all
Version: 1.9
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-magic - GUI frontend to create Debian LiveCDs, netboot images, etc.
Closes: 569204
Changes: 
 live-magic (1.9) unstable; urgency=low
 .
   * Correcting versioned depends on live-helper (Closes: #569204).
Checksums-Sha1: 
 7173ec5bb67bab6cc061e405b88d2cd58bf743e9 1017 live-magic_1.9.dsc
 15d92ca2b6bbb75ea628dd809664cd43271894ec 79083 live-magic_1.9.tar.gz
 1c25a0a8f3423dd4a9dd34ff2f8fdc9b5fdfa70c 63264 live-magic_1.9_all.deb
Checksums-Sha256: 
 493d6a6c83f24299f4e9b650714e779ffc84db461d811cc4b3431bcb85ee5ba2 1017 live-magic_1.9.dsc
 ff669efb2bd9a7498d0ca44ff2ecc8f717145f220c612d8facc7075d58df8504 79083 live-magic_1.9.tar.gz
 27d714bf80b73a6da6641ccab7a96bf86ce92b0b6fa521fb6f3aab1ec2d43bbe 63264 live-magic_1.9_all.deb
Files: 
 f5df56d1c55b11dfaebb7df8d4f317ba 1017 misc optional live-magic_1.9.dsc
 17169b514662e9ce9a16b5b0ae5c1cfc 79083 misc optional live-magic_1.9.tar.gz
 1fab3a9b88da615a841c14233df9707a 63264 misc optional live-magic_1.9_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkt1JpIACgkQ+C5cwEsrK54UJwCdGbnvlntKZkWomVi0emfiKjzA
K1gAniW0JssG7kZHFdmGkxOw3ZY6Yi2e
=6vlQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 13 Mar 2010 07:27:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:54:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.